/********************************************************************
* Project: DWG/DXF plugin for LiteCAD
* Copyright (C) 2020-2021, Oleg Kolbaskin
* All rights reserved.
*
* Class 'MyServices' implementation
*********************************************************************/
#include "pch.h"

extern LC_FUN_PROGRESS g_pFunProgress;
extern HANDLE    g_hDrw;     // used to pass with g_pFunProgress
extern COptions  g_Options;

//-----------------------------------------------
bool MyServices::getPassword(const OdString& dwgName, bool /*isXref*/, OdPassword& password)
{
/*
    odPrintConsoleString(L"Enter password to open drawing: %ls\n", dwgName.c_str());
    wchar_t pwdBuff[_MAX_PATH] = {0};
    STD(wcin).get(pwdBuff, L'\n').get();
    ::CharUpperW(pwdBuff);
    password = pwdBuff;
    return !password.isEmpty();
*/
    return false;
  }



//-----------------------------------------------
void MyServices::OK_setLimit (int max)
{
  if (g_pFunProgress){
    (g_pFunProgress)( LC_FP_NITEMS, max, g_hDrw );
  }
}


//-----------------------------------------------
void MyServices::OK_meterProgress ()
{
  if (g_pFunProgress){
    (g_pFunProgress)( LC_FP_ITEM, 0, g_hDrw );
  }
}

//-----------------------------------------------
void MyServices::OK_warning (const OdString& str)
{
  if (g_Options.m_bNoWarnings == false){
    ::MessageBox(  ::GetForegroundWindow(), (LPCWSTR)str.c_str(), L"WARNING", MB_OK );
  }
}
